import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo08
 * @description Scanner练习
 * @create 2026/7/16
 */
public class Demo08 {
    public static void main(String[] args) {
        //1、创建Scanner对象
        Scanner sc=new Scanner(System.in);
        //2、读取不同类型的数据
        System.out.println("请输入您的姓名：");
        String name = sc.next();    //读取一个单词
        System.out.println("请输入您的年龄：");
        int age=sc.nextInt();
        System.out.println("请输入您的身高（米）：");
        double height=sc.nextDouble();
        System.out.println("您是否是在校学生（true/false）：");
        boolean isStudent=sc.nextBoolean();

        //3、输出用户信息
        System.out.println("\n========用户信息========");
        System.out.println("姓名："+name);
        System.out.println("年龄"+age);
        System.out.println("身高"+height);
        System.out.println("在校学生："+isStudent);

        //4、关闭Scanner 释放资源
        sc.close();
    }
}
